# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ObjectRole Class Reference

Representation of STEP entity ObjectRole
.

`#include <StepBasic_ObjectRole.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_ObjectRole ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ObjectRole::StepBasic_ObjectRole | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ObjectRole::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_ObjectRole::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepBasic_ObjectRole::HasDescription | ( |  | ) | const

Standard_EXPORT void StepBasic_ObjectRole::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ObjectRole::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_ObjectRole::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepBasic_ObjectRole::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

## Field Documentation

Standard_Boolean StepBasic_ObjectRole::defDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_ObjectRole::theDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_ObjectRole::theName `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ObjectRole.hxx